Subject: Re: [WIP PATCH] Add 'git fast-export', the sister of 'git fast-import'

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 23 Nov 2007 15:56:52 -0500

Johannes Schindelin <[email-masked]> wrote:
> On Fri, 23 Nov 2007, Nguyen Thai Ngoc Duy wrote:
> > I have a suggestion though. git-fast-export and git-fast-import should 
> > support bundle.
> 
> I think this is not what fast-export and fast-import are about.  They use 
> an easy to generate, and easy to edit, format.
> 
> Bundles are optimised transport mechanisms for sneaker net.  They are not 
> to be meant to be easy to edit, but as small as possible.

Actually I wonder, what about bundles that are formatted as a
git-fast-import data stream?  Then you can have a human readable
bundle format that can be (reasonably) easily turned back into a
packfile and loaded into the local ODB.

Only we'd probably want to express blobs as diffs if we can, to
save disk space, which means we'd need to have git-apply organized
in a way that we can call it from within fast-import.  :-)

But I agree with Dscho's basic comment; fast-import should not
be reading a bundle.  It doesn't want to.  That's what git-bundle
is for.

-- 
Shawn.